diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/bs-uplink-scheduler-mbqos.h ns-3.44/src/wimax/model/bs-uplink-scheduler-mbqos.h
--- ns-3.43/src/wimax/model/bs-uplink-scheduler-mbqos.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/bs-uplink-scheduler-mbqos.h	2025-03-09 16:55:49.815372700 -0700
@@ -33,8 +33,8 @@
 class UlJob;
 
 /**
- * \ingroup wimax
- * \brief This class implements a Migration-based Quality of Service uplink scheduler(MBQoS).
+ * @ingroup wimax
+ * @brief This class implements a Migration-based Quality of Service uplink scheduler(MBQoS).
  *
  * This uplink scheduler uses three queues, the low priority
  * queue, the intermediate queue and the high priority queue.
@@ -65,30 +65,30 @@
     /**
      * Constructor
      *
-     * \param time the time
+     * @param time the time
      */
     UplinkSchedulerMBQoS(Time time);
     ~UplinkSchedulerMBQoS() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
      * Get uplink allocations
-     * \returns std::list<OfdmUlMapIe>
+     * @returns std::list<OfdmUlMapIe>
      */
     std::list<OfdmUlMapIe> GetUplinkAllocations() const override;
 
     /**
      * Determines if channel descriptors sent in the current frame are
      * required to be updated
-     * \param updateDcd update DCD if true
-     * \param updateUcd update UCD if true
-     * \param sendDcd send DCD if true
-     * \param sendUcd send UCD if true
+     * @param updateDcd update DCD if true
+     * @param updateUcd update UCD if true
+     * @param sendDcd send DCD if true
+     * @param sendUcd send UCD if true
      */
     void GetChannelDescriptorsToUpdate(bool& updateDcd,
                                        bool& updateUcd,
@@ -96,15 +96,15 @@
                                        bool& sendUcd) override;
     /**
      * Calculate allocation start time
-     * \returns the allocation start time
+     * @returns the allocation start time
      */
     uint32_t CalculateAllocationStartTime() override;
     /**
      * Add uplink allocation
-     * \param ulMapIe the UL map IE
-     * \param allocationSize the allocation size
-     * \param symbolsToAllocation the symbols to allocation
-     * \param availableSymbols the available symbols
+     * @param ulMapIe the UL map IE
+     * @param allocationSize the allocation size
+     * @param symbolsToAllocation the symbols to allocation
+     * @param availableSymbols the available symbols
      */
     void AddUplinkAllocation(OfdmUlMapIe& ulMapIe,
                              const uint32_t& allocationSize,
@@ -117,12 +117,12 @@
     void Schedule() override;
     /**
      * Service unsolicited grants
-     * \param ssRecord the SS record
-     * \param schedulingType the scheduling type
-     * \param ulMapIe the UL map IE
-     * \param modulationType the modulation type
-     * \param symbolsToAllocation the symbols to allocation
-     * \param availableSymbols the available symbols
+     * @param ssRecord the SS record
+     * @param schedulingType the scheduling type
+     * @param ulMapIe the UL map IE
+     * @param modulationType the modulation type
+     * @param symbolsToAllocation the symbols to allocation
+     * @param availableSymbols the available symbols
      */
     void ServiceUnsolicitedGrants(const SSRecord* ssRecord,
                                   ServiceFlow::SchedulingType schedulingType,
@@ -132,12 +132,12 @@
                                   uint32_t& availableSymbols) override;
     /**
      * Service bandwidth requests
-     * \param ssRecord the SS record
-     * \param schedulingType the scheduling type
-     * \param ulMapIe the UL map IE
-     * \param modulationType the modulation type
-     * \param symbolsToAllocation the symbols to allocation
-     * \param availableSymbols the available symbols
+     * @param ssRecord the SS record
+     * @param schedulingType the scheduling type
+     * @param ulMapIe the UL map IE
+     * @param modulationType the modulation type
+     * @param symbolsToAllocation the symbols to allocation
+     * @param availableSymbols the available symbols
      */
     void ServiceBandwidthRequests(const SSRecord* ssRecord,
                                   ServiceFlow::SchedulingType schedulingType,
@@ -147,13 +147,13 @@
                                   uint32_t& availableSymbols) override;
     /**
      * Service bandwidth requests
-     * \param serviceFlow the service flow
-     * \param schedulingType the scheduling type
-     * \param ulMapIe the UL map IE
-     * \param modulationType the modulation type
-     * \param symbolsToAllocation the symbols to allocation
-     * \param availableSymbols the available symbols
-     * \returns true if successful
+     * @param serviceFlow the service flow
+     * @param schedulingType the scheduling type
+     * @param ulMapIe the UL map IE
+     * @param modulationType the modulation type
+     * @param symbolsToAllocation the symbols to allocation
+     * @param availableSymbols the available symbols
+     * @returns true if successful
      */
     bool ServiceBandwidthRequests(ServiceFlow* serviceFlow,
                                   ServiceFlow::SchedulingType schedulingType,
@@ -163,21 +163,21 @@
                                   uint32_t& availableSymbols) override;
     /**
      * Allocate initial ranging interval
-     * \param symbolsToAllocation the symbols to allocation
-     * \param availableSymbols the available symbols
+     * @param symbolsToAllocation the symbols to allocation
+     * @param availableSymbols the available symbols
      */
     void AllocateInitialRangingInterval(uint32_t& symbolsToAllocation,
                                         uint32_t& availableSymbols) override;
     /**
      * Setup service flow
-     * \param ssRecord the SS record
-     * \param serviceFlow the service flow
+     * @param ssRecord the SS record
+     * @param serviceFlow the service flow
      */
     void SetupServiceFlow(SSRecord* ssRecord, ServiceFlow* serviceFlow) override;
 
     /**
-     * \param availableSymbols available symbols in the uplink frame
-     * \brief Check deadline from jobs. Migrate requests if necessary.
+     * @param availableSymbols available symbols in the uplink frame
+     * @brief Check deadline from jobs. Migrate requests if necessary.
      *
      * This method verifies for each rtPS request whether it should be
      * migrated to the high priority queue or not. The conditions for
@@ -188,8 +188,8 @@
     void CheckDeadline(uint32_t& availableSymbols);
 
     /**
-     * \param availableSymbols available symbols in the uplink frame.
-     * \brief Check if Minimum bandwidth is guarantee. Migrate requests if necessary.
+     * @param availableSymbols available symbols in the uplink frame.
+     * @brief Check if Minimum bandwidth is guarantee. Migrate requests if necessary.
      *
      * This method first calculate a priority value for each request
      * in the intermediate queue. Then, sorts the intermediate queue
@@ -199,34 +199,34 @@
     void CheckMinimumBandwidth(uint32_t& availableSymbols);
 
     /**
-     * \brief Reset the current window.
+     * @brief Reset the current window.
      * According to a configured time, reset the window.
      */
     void UplinkSchedWindowTimer();
 
     /**
-     * \param priority Priority of queue
-     * \param job job information
+     * @param priority Priority of queue
+     * @param job job information
      *
-     * \brief Enqueue a job in a priority queue.
+     * @brief Enqueue a job in a priority queue.
      */
     void EnqueueJob(UlJob::JobPriority priority, Ptr<UlJob> job);
 
     /**
-     * \param priority Priority of queue
-     * \return Ptr<UlJob>
+     * @param priority Priority of queue
+     * @return Ptr<UlJob>
      *
-     * \brief Dequeue a job from a priority queue.
+     * @brief Dequeue a job from a priority queue.
      */
     Ptr<UlJob> DequeueJob(UlJob::JobPriority priority);
 
     void ProcessBandwidthRequest(const BandwidthRequestHeader& bwRequestHdr) override;
 
     /**
-     * \param serviceFlow Service flow of connection
-     * \return Time
+     * @param serviceFlow Service flow of connection
+     * @return Time
      *
-     * \brief Calculates deadline of a request.
+     * @brief Calculates deadline of a request.
      */
     Time DetermineDeadline(ServiceFlow* serviceFlow);
 
@@ -236,16 +236,16 @@
     void InitOnce() override;
 
     /**
-     * \param jobs List of jobs
-     * \returns the symbols count
+     * @param jobs List of jobs
+     * @returns the symbols count
      *
      * Sum the amount of symbols of each job of a queue
      */
     uint32_t CountSymbolsQueue(std::list<Ptr<UlJob>> jobs);
 
     /**
-     * \param job job
-     * \returns the symbols count
+     * @param job job
+     * @returns the symbols count
      *
      * Count the amount of symbols of a job.
      */
@@ -253,15 +253,15 @@
 
     /**
      * Set requested bandwidth
-     * \param sfr the service flow record
+     * @param sfr the service flow record
      */
     void OnSetRequestedBandwidth(ServiceFlowRecord* sfr) override;
 
     /**
-     * \param ssRecord Subscriber station record
-     * \param schedType Service flow type
-     * \param reqType Type of packet
-     * \return Ptr<UlJob>
+     * @param ssRecord Subscriber station record
+     * @param schedType Service flow type
+     * @param reqType Type of packet
+     * @return Ptr<UlJob>
      *
      * Create and fill information of a job.
      */
@@ -270,8 +270,8 @@
                            ReqType reqType);
 
     /**
-     * \param serviceFlow ServiceFlow
-     * \return Ptr<UlJob>
+     * @param serviceFlow ServiceFlow
+     * @return Ptr<UlJob>
      *
      * Get pending size.
      */
@@ -279,14 +279,14 @@
 
     /**
      * Service bandwidth requests bytes.
-     * \param serviceFlow the service flow
-     * \param schedulingType the scheduling type
-     * \param ulMapIe the UL map IE
-     * \param modulationType the modulation type
-     * \param symbolsToAllocation the symbols to allocation
-     * \param availableSymbols the available symbols
-     * \param allocationSizeBytes the allocation size in bytes
-     * \returns true if successful
+     * @param serviceFlow the service flow
+     * @param schedulingType the scheduling type
+     * @param ulMapIe the UL map IE
+     * @param modulationType the modulation type
+     * @param symbolsToAllocation the symbols to allocation
+     * @param availableSymbols the available symbols
+     * @param allocationSizeBytes the allocation size in bytes
+     * @returns true if successful
      */
     bool ServiceBandwidthRequestsBytes(ServiceFlow* serviceFlow,
                                        ServiceFlow::SchedulingType schedulingType,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/bs-uplink-scheduler-rtps.h ns-3.44/src/wimax/model/bs-uplink-scheduler-rtps.h
--- ns-3.43/src/wimax/model/bs-uplink-scheduler-rtps.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/bs-uplink-scheduler-rtps.h	2025-03-09 16:55:49.815372700 -0700
@@ -25,8 +25,8 @@
 class ServiceFlow;
 
 /**
- * \ingroup wimax
- * \brief This class implements a simple uplink scheduler for rtPS flows.
+ * @ingroup wimax
+ * @brief This class implements a simple uplink scheduler for rtPS flows.
  *
  * The UL-rtPS-Scheduler work in this way:
  * At the beginning of the UL sub-frame some symbols are allocated
@@ -48,30 +48,30 @@
     /**
      * Constructor
      *
-     * \param bs base station device
+     * @param bs base station device
      */
     UplinkSchedulerRtps(Ptr<BaseStationNetDevice> bs);
     ~UplinkSchedulerRtps() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Get uplink allocations.
-     * \returns std::list<OfdmUlMapIe>
+     * @brief Get uplink allocations.
+     * @returns std::list<OfdmUlMapIe>
      */
     std::list<OfdmUlMapIe> GetUplinkAllocations() const override;
 
     /**
      * Determines if channel descriptors sent in the current frame are
      * required to be updated
-     * \param updateDcd if true update DCD
-     * \param updateUcd if true update UCD
-     * \param sendDcd if true send DCD
-     * \param sendUcd if true send UCD
+     * @param updateDcd if true update DCD
+     * @param updateUcd if true update UCD
+     * @param sendDcd if true send DCD
+     * @param sendUcd if true send UCD
      */
     void GetChannelDescriptorsToUpdate(bool& updateDcd,
                                        bool& updateUcd,
@@ -79,32 +79,32 @@
                                        bool& sendUcd) override;
     /**
      * Calculate allocation start time function
-     * \returns the allocation start time value
+     * @returns the allocation start time value
      */
     uint32_t CalculateAllocationStartTime() override;
     /**
      * Add Uplink Allocation function
-     * \param ulMapIe the UL map IE
-     * \param allocationSize the allocation size
-     * \param symbolsToAllocation the symbols to allocation
-     * \param availableSymbols the available symbols
+     * @param ulMapIe the UL map IE
+     * @param allocationSize the allocation size
+     * @param symbolsToAllocation the symbols to allocation
+     * @param availableSymbols the available symbols
      */
     void AddUplinkAllocation(OfdmUlMapIe& ulMapIe,
                              const uint32_t& allocationSize,
                              uint32_t& symbolsToAllocation,
                              uint32_t& availableSymbols) override;
     /**
-     * \brief Schedule function.
+     * @brief Schedule function.
      */
     void Schedule() override;
     /**
      * Service Unsolicited Grants function
-     * \param ssRecord Subscriber station record
-     * \param schedulingType the scheduling type
-     * \param ulMapIe the UL map IE
-     * \param modulationType the modulation type
-     * \param symbolsToAllocation the symbols to allocation
-     * \param availableSymbols the available symbols
+     * @param ssRecord Subscriber station record
+     * @param schedulingType the scheduling type
+     * @param ulMapIe the UL map IE
+     * @param modulationType the modulation type
+     * @param symbolsToAllocation the symbols to allocation
+     * @param availableSymbols the available symbols
      */
     void ServiceUnsolicitedGrants(const SSRecord* ssRecord,
                                   ServiceFlow::SchedulingType schedulingType,
@@ -114,12 +114,12 @@
                                   uint32_t& availableSymbols) override;
     /**
      * Service Bandwidth Requests function
-     * \param ssRecord Subscriber station record
-     * \param schedulingType the scheduling type
-     * \param ulMapIe the UL map IE
-     * \param modulationType the modulation type
-     * \param symbolsToAllocation the symbols to allocation
-     * \param availableSymbols the available symbols
+     * @param ssRecord Subscriber station record
+     * @param schedulingType the scheduling type
+     * @param ulMapIe the UL map IE
+     * @param modulationType the modulation type
+     * @param symbolsToAllocation the symbols to allocation
+     * @param availableSymbols the available symbols
      */
     void ServiceBandwidthRequests(const SSRecord* ssRecord,
                                   ServiceFlow::SchedulingType schedulingType,
@@ -129,13 +129,13 @@
                                   uint32_t& availableSymbols) override;
     /**
      * Service bandwidth requests function
-     * \param serviceFlow the service flow
-     * \param schedulingType the scheduling type
-     * \param ulMapIe the UL map IE
-     * \param modulationType the modulation type
-     * \param symbolsToAllocation the symbols to allocation
-     * \param availableSymbols the available symbols
-     * \returns true if successful
+     * @param serviceFlow the service flow
+     * @param schedulingType the scheduling type
+     * @param ulMapIe the UL map IE
+     * @param modulationType the modulation type
+     * @param symbolsToAllocation the symbols to allocation
+     * @param availableSymbols the available symbols
+     * @returns true if successful
      */
     bool ServiceBandwidthRequests(ServiceFlow* serviceFlow,
                                   ServiceFlow::SchedulingType schedulingType,
@@ -144,10 +144,10 @@
                                   uint32_t& symbolsToAllocation,
                                   uint32_t& availableSymbols) override;
     /**
-     * \brief Uplink Scheduler for rtPS connections.
+     * @brief Uplink Scheduler for rtPS connections.
      *
-     * \param symbolsToAllocation symbols to allocation for UpLink Subframe
-     * \param availableSymbols available symbols for rtPS flows
+     * @param symbolsToAllocation symbols to allocation for UpLink Subframe
+     * @param availableSymbols available symbols for rtPS flows
      *
      * This method represent the UL Scheduler for rtPS  connections.
      * The scheduler is designed to serve all rtPS connections that
@@ -164,21 +164,21 @@
     /**
      * Allocate Initial Ranging Interval function
      *
-     * \param symbolsToAllocation symbols to allocation for UpLink Subframe
-     * \param availableSymbols available symbols for rtPS flows
+     * @param symbolsToAllocation symbols to allocation for UpLink Subframe
+     * @param availableSymbols available symbols for rtPS flows
      */
     void AllocateInitialRangingInterval(uint32_t& symbolsToAllocation,
                                         uint32_t& availableSymbols) override;
     /**
      * Setup service flow function
-     * \param ssRecord Subscriber station record
-     * \param serviceFlow the service flow
+     * @param ssRecord Subscriber station record
+     * @param serviceFlow the service flow
      */
     void SetupServiceFlow(SSRecord* ssRecord, ServiceFlow* serviceFlow) override;
 
     /**
      * Process bandwidth request function
-     * \param bwRequestHdr the bandwidth request header
+     * @param bwRequestHdr the bandwidth request header
      */
     void ProcessBandwidthRequest(const BandwidthRequestHeader& bwRequestHdr) override;
 
@@ -187,7 +187,7 @@
 
     /**
      * Set requested bandwidth function
-     * \param sfr the service flow record
+     * @param sfr the service flow record
      */
     void OnSetRequestedBandwidth(ServiceFlowRecord* sfr) override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/bs-uplink-scheduler-simple.h ns-3.44/src/wimax/model/bs-uplink-scheduler-simple.h
--- ns-3.43/src/wimax/model/bs-uplink-scheduler-simple.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/bs-uplink-scheduler-simple.h	2025-03-09 16:55:49.815372700 -0700
@@ -26,7 +26,7 @@
 class ServiceFlow;
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  *
  * Uplink Scheduler - simplified
  */
@@ -37,27 +37,27 @@
     /**
      * Constructor
      *
-     * \param bs base station device
+     * @param bs base station device
      */
     UplinkSchedulerSimple(Ptr<BaseStationNetDevice> bs);
     ~UplinkSchedulerSimple() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     std::list<OfdmUlMapIe> GetUplinkAllocations() const override;
 
     /**
-     * \brief Determines if channel descriptors sent in the current frame are
+     * @brief Determines if channel descriptors sent in the current frame are
      * required to be updated
      *
-     * \param updateDcd currently unused (assume true)
-     * \param updateUcd currently unused (assume true)
-     * \param [out] sendDcd DCD must be updated
-     * \param [out] sendUcd UCD must be updated
+     * @param updateDcd currently unused (assume true)
+     * @param updateUcd currently unused (assume true)
+     * @param [out] sendDcd DCD must be updated
+     * @param [out] sendUcd UCD must be updated
      *
      */
     void GetChannelDescriptorsToUpdate(bool& updateDcd,
@@ -72,12 +72,12 @@
     void Schedule() override;
     /**
      * Service Unsolicited Grants function
-     * \param ssRecord Subscriber station record
-     * \param schedulingType the scheduling type
-     * \param ulMapIe the UL map IE
-     * \param modulationType the modulation type
-     * \param symbolsToAllocation the symbols to allocation
-     * \param availableSymbols the available symbols
+     * @param ssRecord Subscriber station record
+     * @param schedulingType the scheduling type
+     * @param ulMapIe the UL map IE
+     * @param modulationType the modulation type
+     * @param symbolsToAllocation the symbols to allocation
+     * @param availableSymbols the available symbols
      */
     void ServiceUnsolicitedGrants(const SSRecord* ssRecord,
                                   ServiceFlow::SchedulingType schedulingType,
@@ -87,12 +87,12 @@
                                   uint32_t& availableSymbols) override;
     /**
      * Service Bandwidth Requests function
-     * \param ssRecord Subscriber station record
-     * \param schedulingType the scheduling type
-     * \param ulMapIe the UL map IE
-     * \param modulationType the modulation type
-     * \param symbolsToAllocation the symbols to allocation
-     * \param availableSymbols the available symbols
+     * @param ssRecord Subscriber station record
+     * @param schedulingType the scheduling type
+     * @param ulMapIe the UL map IE
+     * @param modulationType the modulation type
+     * @param symbolsToAllocation the symbols to allocation
+     * @param availableSymbols the available symbols
      */
     void ServiceBandwidthRequests(const SSRecord* ssRecord,
                                   ServiceFlow::SchedulingType schedulingType,
@@ -102,13 +102,13 @@
                                   uint32_t& availableSymbols) override;
     /**
      * Service bandwidth requests function
-     * \param serviceFlow the service flow
-     * \param schedulingType the scheduling type
-     * \param ulMapIe the UL map IE
-     * \param modulationType the modulation type
-     * \param symbolsToAllocation the symbols to allocation
-     * \param availableSymbols the available symbols
-     * \returns true if successful
+     * @param serviceFlow the service flow
+     * @param schedulingType the scheduling type
+     * @param ulMapIe the UL map IE
+     * @param modulationType the modulation type
+     * @param symbolsToAllocation the symbols to allocation
+     * @param availableSymbols the available symbols
+     * @returns true if successful
      */
     bool ServiceBandwidthRequests(ServiceFlow* serviceFlow,
                                   ServiceFlow::SchedulingType schedulingType,
@@ -119,21 +119,21 @@
     /**
      * Allocate Initial Ranging Interval function
      *
-     * \param symbolsToAllocation symbols to allocation for UpLink Subframe
-     * \param availableSymbols available symbols for rtPS flows
+     * @param symbolsToAllocation symbols to allocation for UpLink Subframe
+     * @param availableSymbols available symbols for rtPS flows
      */
     void AllocateInitialRangingInterval(uint32_t& symbolsToAllocation,
                                         uint32_t& availableSymbols) override;
     /**
      * Setup service flow function
-     * \param ssRecord Subscriber station record
-     * \param serviceFlow the service flow
+     * @param ssRecord Subscriber station record
+     * @param serviceFlow the service flow
      */
     void SetupServiceFlow(SSRecord* ssRecord, ServiceFlow* serviceFlow) override;
 
     /**
      * Process bandwidth request function
-     * \param bwRequestHdr the bandwidth request header
+     * @param bwRequestHdr the bandwidth request header
      */
     void ProcessBandwidthRequest(const BandwidthRequestHeader& bwRequestHdr) override;
 
@@ -142,7 +142,7 @@
 
     /**
      * Set requested bandwidth function
-     * \param sfr the service flow record
+     * @param sfr the service flow record
      */
     void OnSetRequestedBandwidth(ServiceFlowRecord* sfr) override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/burst-profile-manager.h ns-3.44/src/wimax/model/burst-profile-manager.h
--- ns-3.43/src/wimax/model/burst-profile-manager.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/burst-profile-manager.h	2025-03-09 16:55:49.815372700 -0700
@@ -22,7 +22,7 @@
 class RngReq;
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  *
  * Profile manager for burst communications
  */
@@ -30,14 +30,14 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
      * Constructor
      *
-     * \param device WIMAX device
+     * @param device WIMAX device
      */
     BurstProfileManager(Ptr<WimaxNetDevice> device);
     ~BurstProfileManager() override;
@@ -48,49 +48,49 @@
 
     void DoDispose() override;
     /**
-     * \returns the number of available burst profile
+     * @returns the number of available burst profile
      */
     uint16_t GetNrBurstProfilesToDefine();
 
     /**
-     * \brief returns the modulation type of a given iuc
-     * \param direction should be uplink or downlink
-     * \param iuc the iuc
-     * \returns the modulation type of the selected iuc
+     * @brief returns the modulation type of a given iuc
+     * @param direction should be uplink or downlink
+     * @param iuc the iuc
+     * @returns the modulation type of the selected iuc
      */
     WimaxPhy::ModulationType GetModulationType(uint8_t iuc,
                                                WimaxNetDevice::Direction direction) const;
 
     /**
-     * \brief returns the burst profile
-     * \param modulationType
-     * \param direction should be uplink or downlink
-     * \returns the modulation type of the selected iuc
+     * @brief returns the burst profile
+     * @param modulationType
+     * @param direction should be uplink or downlink
+     * @returns the modulation type of the selected iuc
      */
     uint8_t GetBurstProfile(WimaxPhy::ModulationType modulationType,
                             WimaxNetDevice::Direction direction) const;
 
     /**
-     * \brief Get burst profile for SS
-     * \param modulationType
-     * \param ssRecord
-     * \param rngreq
-     * \returns the burst profile for SS
+     * @brief Get burst profile for SS
+     * @param modulationType
+     * @param ssRecord
+     * @param rngreq
+     * @returns the burst profile for SS
      */
     uint8_t GetBurstProfileForSS(const SSRecord* ssRecord,
                                  const RngReq* rngreq,
                                  WimaxPhy::ModulationType& modulationType) const;
     /**
-     * \brief Get module ation type for SS
-     * \param ssRecord
-     * \param rngreq
-     * \returns the burst profile for SS
+     * @brief Get module ation type for SS
+     * @param ssRecord
+     * @param rngreq
+     * @returns the burst profile for SS
      */
     WimaxPhy::ModulationType GetModulationTypeForSS(const SSRecord* ssRecord,
                                                     const RngReq* rngreq) const;
     /**
-     * \brief Get burst profile to request
-     * \returns the burst profile for SS
+     * @brief Get burst profile to request
+     * @returns the burst profile for SS
      */
     uint8_t GetBurstProfileToRequest();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/cid.cc ns-3.44/src/wimax/model/cid.cc
--- ns-3.43/src/wimax/model/cid.cc	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/cid.cc	2025-03-09 16:55:49.815372700 -0700
@@ -79,10 +79,10 @@
 }
 
 /**
- * \brief equality operator
- * \param lhs left hand side
- * \param rhs right hand side
- * \returns true if equal
+ * @brief equality operator
+ * @param lhs left hand side
+ * @param rhs right hand side
+ * @returns true if equal
  */
 bool
 operator==(const Cid& lhs, const Cid& rhs)
@@ -91,10 +91,10 @@
 }
 
 /**
- * \brief inequality operator
- * \param lhs left hand side
- * \param rhs right hand side
- * \returns true if not equal
+ * @brief inequality operator
+ * @param lhs left hand side
+ * @param rhs right hand side
+ * @returns true if not equal
  */
 bool
 operator!=(const Cid& lhs, const Cid& rhs)
@@ -103,10 +103,10 @@
 }
 
 /**
- * \brief output stream output operator
- * \param os output stream
- * \param cid CID
- * \returns output stream
+ * @brief output stream output operator
+ * @param os output stream
+ * @param cid CID
+ * @returns output stream
  */
 std::ostream&
 operator<<(std::ostream& os, const Cid& cid)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/cid-factory.cc ns-3.44/src/wimax/model/cid-factory.cc
--- ns-3.43/src/wimax/model/cid-factory.cc	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/cid-factory.cc	2025-03-09 16:55:49.815372700 -0700
@@ -108,7 +108,7 @@
 void
 CidFactory::FreeCid(Cid cid)
 {
-    /// \todo We need to update the cid bitmap properly here.
+    /// @todo We need to update the cid bitmap properly here.
     NS_FATAL_ERROR(
         "TODO: Update the cid bitmap properly here-- please implement and contribute a patch");
 }
